VST 3 Interfaces: IWaylandFrame Class Reference
Author: Steinberg

VST 3 Interfaces VST 3.8 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Public Member Functions | Static Public Attributes | List of all members
IWaylandFrame Class Referenceabstract
Wayland Frame | Graphical User Interface

IWaylandFrame interface Interface to query additional information about the host plug-in frame in a Wayland session. More...

`#include <iwaylandframe.h>`

Inheritance diagram for IWaylandFrame:

## Public Member Functions
virtual wl_surface * | getWaylandSurface (wl_display *display)=0
| Get the parent Wayland surface.
virtual xdg_surface * | getParentSurface (ViewRect &parentSize, wl_display *display)=0
| Get the parent XDG surface for creating popup windows.
virtual xdg_toplevel * | getParentToplevel (wl_display *display)=0
| Get the XDG toplevel surface containing the plug-in frame.
Public Member Functions inherited from FUnknown
virtual tresult | queryInterface (const TUID _iid, void **obj)=0
virtual uint32 | addRef ()=0
virtual uint32 | release ()=0

## Static Public Attributes
static const FUID | iid
Static Public Attributes inherited from FUnknown
static const FUID | iid

## Detailed Description

IWaylandFrame interface Interface to query additional information about the host plug-in frame in a Wayland session.

To be implemented by the VST3 IPlugFrame class.

- [host imp]
- [released: 3.8.0]
  See also
    IPlugFrame

## Member Function Documentation

## ◆ getWaylandSurface()

virtual wl_surface * getWaylandSurface | ( | wl_display * | display | ) |
| pure virtual

Get the parent Wayland surface.

The plug-in must not change the state of the parent surface.

Note
  [UI-thread & plugView]

## ◆ getParentSurface()

virtual xdg_surface * getParentSurface | ( | ViewRect & | parentSize,
|  | wl_display * | display )
| pure virtual

Get the parent XDG surface for creating popup windows.

If the parent surface is not an xdg_surface, this returns the first xdg_surface that can be found in the surface hierarchy, starting the search with the parent surface. The plug-in must not change the state of the parent surface. The size and position of the parent surface, relative to the top left corner of the plug-in surface, is returned in parentSize.

Note
  [UI-thread & plugView]

## ◆ getParentToplevel()

virtual xdg_toplevel * getParentToplevel | ( | wl_display * | display | ) |
| pure virtual

Get the XDG toplevel surface containing the plug-in frame.

The plug-in must not change the state of the returned xdg_toplevel.

Note
  [UI-thread & plugView]

## Member Data Documentation

## ◆ iid

const FUID iid
| static

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.